> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/ja/sdk/march-2026/d1-sdk-v4.3.0.md).

# D1 SDK v4.3.0

{% tabs %}
{% tab title="Android" %}

#### 対応プラットフォームとアーキテクチャ

* Android 8.1.0 以降
* アーキテクチャ: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

#### Click to Pay

**新機能**

* 新しい API を追加: `ClickToPayService.enrol`, `ClickToPayService.getProfiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`、および `ClickToPayService.updateConsumer`.
* 非推奨化 `D1ClickToPay` の代わりに `ClickToPayService`.

#### Visa CTF

**新機能**

* 新しい API を追加: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`、および `DigitalCardService.unbindDevice`.

#### 一般

**改善**

* D1 SDK のセキュリティを強化。
* 追加 `D1Task.getLogService` を、非推奨の `D1Task.getSecureLog` API の代わりに使用。
* 追加 `D1Task.disableLogService` を、非推奨の `D1Task.enableSecureLog` API の代わりに使用。
  {% endtab %}

{% tab title="iOS" %}

#### 対応プラットフォームとアーキテクチャ

* iOS 16 以降
* アーキテクチャ: `arm64`, `x86_64`

#### Click to Pay

**新機能**

* 新しい API を追加: `ClickToPayService.enrol`, `ClickToPayService.profiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`、および `ClickToPayService.updateConsumer`.
* 非推奨化 `D1ClickToPay` の代わりに `ClickToPayService`.

#### Visa CTF

**新機能**

* 新しい API を追加: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`、および `DigitalCardService.unbindDevice`.

#### 一般

**改善**

* D1 SDK のセキュリティを強化。
* アプリケーション署名の検証をサポート。

**バグ修正**

* 呼び出すと `D1DisplayTextField.insecureCopyToClipboard` テキストが消えてしまう問題を修正。
* WalletExtension におけるファイルパス生成の問題を修正。スラッシュ文字を含む製品タイトル

**既知の問題**

* 同じグループ内で複数の iOS アプリケーションがキーチェーン共有を有効にすると、正しく機能するのは 1 つのアプリケーションのみです。残りのアプリケーションでは、3DS 機能または Messaging Service を使用する際に問題が発生する可能性があります。
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/ja/sdk/march-2026/d1-sdk-v4.3.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
